package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsCity;
import com.fs.his.vo.CitysAreaVO;
import com.github.binarywang.wxpay.bean.result.WxPayRefundV3Result;
import org.apache.ibatis.annotations.Select;

/**
 * 城市Mapper接口
 *
 * @author fs
 * @date 2023-06-02
 */
public interface FsCityMapper
{
    /**
     * 查询城市
     *
     * @param id 城市主键
     * @return 城市
     */
    public FsCity selectFsCityById(Long id);

    /**
     * 查询城市列表
     *
     * @param fsCity 城市
     * @return 城市集合
     */
    public List<FsCity> selectFsCityList(FsCity fsCity);

    /**
     * 新增城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int insertFsCity(FsCity fsCity);

    /**
     * 修改城市
     *
     * @param fsCity 城市
     * @return 结果
     */
    public int updateFsCity(FsCity fsCity);

    /**
     * 删除城市
     *
     * @param id 城市主键
     * @return 结果
     */
    public int deleteFsCityById(Long id);

    /**
     * 批量删除城市
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsCityByIds(Long[] ids);


    @Select("select * from fs_city")
    List<FsCity> selectFsCity();

    @Select("Select city_name from fs_city where city_id=#{cityId}")
    String selectFsCityone(String cityId);


    @Select("SELECT city_id,city_name FROM fs_city where parent_id=0 ")
    List<CitysAreaVO> getCitysArea();

}
